GenericItemBean (notifications-common-library 1.2.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portal.notifications.bean

## Class GenericItemBean

- java.lang.Object
- - org.gcube.portal.notifications.bean.GenericItemBean

- All Implemented Interfaces:
    Serializable

      public class GenericItemBean
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericItemBean()`
    `GenericItemBean(String id, String username, String fullName, String thumbnailURL)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlternativeName()`
    `String` | `getId()`
    `String` | `getName()`
    `String` | `getThumbnailURL()`
    `void` | `setAlternativeName(String altname)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setThumbnailURL(String thumbnailURL)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericItemBean

          public GenericItemBean()

    - #### GenericItemBean

          public GenericItemBean(String id,
                         String username,
                         String fullName,
                         String thumbnailURL)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getAlternativeName

          public String getAlternativeName()

    - #### setAlternativeName

          public void setAlternativeName(String altname)

    - #### getThumbnailURL

          public String getThumbnailURL()

    - #### setThumbnailURL

          public void setThumbnailURL(String thumbnailURL)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2016. All Rights Reserved.